package de.intevation.gnv.artifacts.services.requestobjects;

import java.util.Collection;

/**
 * The default Implementation of <code>MapService</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultMapService implements MapService {

    /**
     * The id of the Mapservice
     */
    private String id = null;

    /**
     * The Layer which belongs to the Mapservice
     */
    private Collection<Layer> layer = null;

    /**
     * The Type of the Mapservice
     */
    private String type = null;

    /**
     * The Url under which the Mapservice could be accessed.
     */
    private String url = null;

    /**
     * Constructor
     * @param id The id of this service.
     * @param type The type of  this service.
     * @param layer The layers available in this service.
     * @param url The url used to call this service.
     */
    public DefaultMapService(String id, Collection<Layer> layer,
                             String type, String url) {
        super();
        this.id = id;
        this.layer = layer;
        this.type = type;
        this.url = url;
    }

    public String getID() {
        return this.id;
    }

    public Collection<Layer> getLayer() {
        return this.layer;
    }

    public String getType() {
        return this.type;
    }

    public String getURL() {
        return this.url;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
